#[derive(Clone)]
pub(super) enum RedisCacheBackend {
    Single(redis::Client),
    Cluster(redis::cluster::ClusterClient),
}

impl std::fmt::Debug for RedisCacheBackend {
    fn fmt(&self, formatter: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            Self::Single(_) => formatter.write_str("RedisCacheBackend::Single"),
            Self::Cluster(_) => formatter.write_str("RedisCacheBackend::Cluster"),
        }
    }
}
